Skip to main content
Retrieves a list of Subscriptions. This can be used to get a list of subscriptions for a given account using the “account” query parameter. Note: For a list of all subscriptions, use theActive (Autobills) Subscriptions Report available in the Subscribe Merchant Portal.

HTTP Request

GET https://api.vindicia.com/subscriptions?account

Route (URL) Parameters

None.

Query Parameters

Accepts

None.

Returns

JSON - A list array with a data property that contains an array of up to limit Subscriptions, starting after the specified starting_after Subscription (or ending before the specified ending_before Subscription). Each entry in the array is a full Subscription object. If no more Subscriptions are available, the resulting array will be empty. This request should never throw an error. A list of Subscription objects matching the query. Also:
  • “total_count”: Integer count of the number of Subscriptions in the returned list.
  • “url”: The query string provided in the request
  • “next”: The route (partial URL) to the next Subscription object (string to select the “next”); included id should match that of the last object returned here
  • “previous”: The route (partial URL) to the previous Subscriptions object (string to select the “previous”); included id should match that of the first object returned here

Example Request

The above command returns JSON structured like this:
Parent topic:Subscriptions